function googleTest(_args) {
	function alertCookies(cookies) {
		if (cookies != null) {
			var len = cookies.length;
			var info = "";
			for ( i = 0; i < len; i++) {
				info += ">>> name: " + cookies[i].name + ", value: " + cookies[i].value + ", domain: " + cookies[i].domain + ", path: " + cookies[i].path + ", expiryDate: " + cookies[i].expiryDate + "\n";
			}
			alert(info);
		} else {
			alert("null");
		}
	}

	var win = Ti.UI.createWindow({
		backgroundColor : "white",
		layout : "vertical"
	});

	var url = "https://www.google.com";
	var domain = "www.google.com";
	var path = "/";

	var webview = Ti.UI.createWebView({
		top : 0,
		left : 0,
		right : 0,
		height : 500
	});
	win.add(webview);

	webview.url = url;

	var b = Ti.UI.createButton({
		top : 10,
		title : "getSystemCookies(" + domain + ", " + path + ", null)"
	});

	b.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies(domain, path, null);
		alertCookies(cookies);
	});

	win.add(b);

	var xhr = Ti.Network.createHTTPClient();
	xhr.onload = function() {
		alert("HTTP client onload");
	};
	xhr.open("GET", url);
	xhr.send();

	var b2 = Ti.UI.createButton({
		top : 10,
		title : "getHTTPCookies(" + domain + ", " + path + ", null)"
	});

	b2.addEventListener("click", function() {
		var cookies = Ti.Network.getHTTPCookies(domain, path, null);
		alertCookies(cookies);
	});

	win.add(b2);

	return win;
}

module.exports = googleTest;
